"""The Ramses Maya Add-on - Rubika Flavor"""

import ramses as ram
from .publish_manager import publisher
from .import_manager import importer
from .replace_manager import replacer
from .update_manager import updateRamsesItems

RAMSES = ram.Ramses.instance()

# Register publish scripts
RAMSES.publishScripts.append(publisher)

# Register import scripts
RAMSES.importScripts.append(importer)

# Register replace scripts
RAMSES.replaceScripts.append(replacer)

# Register user scripts
RAMSES.userScripts['update'] = updateRamsesItems
